#!/bin/bash

. ./util.sh
. ./.env

function checkPort(){
  if [ "$(sudo netstat -nlput | grep -c $1)" -gt 0 ]; then
    rad "==========================================================="
    rad "The port $1 is already in use, change it in file \".env\"."
    rad "==========================================================="
    exit
  fi
}

function checkAllPort() {
  checkPort "$ES_PORT1"
  checkPort "$ES_PORT2"
  checkPort "$LOGSTASH_PORT1"
  checkPort "$LOGSTASH_PORT2"
  checkPort "$LOGSTASH_PORT3"
  checkPort "$LOGSTASH_PORT4"
  checkPort "$KIBANA_PORT"
}

function start(){
  if docker-compose up -d; then
    green "==============="
    green "start succeed"
    green "==============="
  else
    red "==============="
    red "start failed"
    red "==============="
    exit 1
  fi
}

function checkPS(){
  if [ "$(docker ps | grep -c 'docker-elk' )" -gt 0 ]; then
    red "======================="
    red "ELK are already started"
    red "======================="
    exit
  fi
}

checkPS
checkAllPort
start